<style>
body {font-family: Arial, Helvetica, sans-serif;}
* {box-sizing: border-box;}

button {
  background-color: #870000;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
  opacity: 0.9;
}

button:hover {
  opacity:1;
}

.cancelbtn, .deletebtn {
  float: left;
  width: 50%;
}

.cancelbtn {
  background-color: #a6a09f;
  color: black;
}

.deletebtn {
  background-color: #870000;
  color: white;
}

.container {
  padding: 16px;
  text-align: center;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%;
  overflow: auto;
  background-color: #474e5d;
  padding-top: 50px;
}

.modal-content {
  background-color: #a38f6d;
  margin: 5% auto 15% auto;
  border: 1px solid #888;
  width: 80%;
}

hr {
  border: 1px solid #f1f1f1;
  margin-bottom: 25px;
}

.close {
  position: absolute;
  right: 35px;
  top: 15px;
  font-size: 40px;
  font-weight: bold;
  color: #f1f1f1;
}

.close:hover,
.close:focus {
  color: #f44336;
  cursor: pointer;
}

.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

@media screen and (max-width: 300px) {
  .cancelbtn, .deletebtn {
     width: 100%;
  }
}

.box{
    position:absolute;
    width:100%;
    left:0px;
    top:600px;
}

.menu{
    float:left;
    width:200px;
    text-align:center;
}

#date{
    background-color : #811112;
    width:100%;
    color:#D2B8A1;
    padding:5px;
    font-size:1vw;
    letter-spacing:2px;
}

#content{
    padding:10px;
}

#reply{
    font-size:0px;
    width:98%;
    padding:10px;
    margin-top:4px;
    letter-spacing:0px;
    color:#811112;
    text-transform: uppercase;
    letter-spacing: 5px;
    min-height:50px;
    height:auto;
}

.header{
    width:100%;
    position:absolute;
    top:50px;
    left:0px;
}

#title{
    font-family:'Bebas Neue'; font-size:8vw; color:#811112;
}

button{
    background-color: #811112;
    font-family: "Sora";
    font-size:1vw;
    border:none;
    border-radius:10%;
    color : white;
    padding:10px;
    margin:auto;
    
}

input[type=text]{
    width:100%;
    font-size:12px;
    background-color : #B29576;
    color:#811112;
    border:1px solid #811112;
}

input[type=text]::placeholder{
    color:#811112;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #811112;
  opacity: 1; /* Firefox */
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:    #811112;
   opacity:  1;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:    #811112;
   opacity:  1;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:    #811112;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #811112;
}

::-ms-input-placeholder { /* Microsoft Edge */
  color: #811112;
}

::-webkit-input-placeholder{
    color:#811112;
}

.submitbtn{
    background-color: #811112!important;
    color:#B29576!important;
    border:1px solid #B29576!important;
}

</style>

{% extends 'base.html' %}
{% block meta %}
<title>Reply Forum</title>
{% endblock meta %}
{% block content %}

    <div class = "header">
        <img src = "https://live.staticflickr.com/65535/51624476788_6a74bc00f6_o.png" width = "100%">       
    </div>

    <div class = "box">
            <div id = "content">
                <div id = "title">Delete The Selected Post?</div>
                <div id = "reply">
                    <button onclick="document.getElementById('confirm').style.display='block'">Delete</button>
                    <div id="confirm" class="modal">
                        <span onclick="document.getElementById('confirm').style.display='none'" class="close" title="Close Modal">×</span>
                        <form class="modal-content" action="/action_page.php">
                            <div class="container">
                                <h1>Delete This Post?</h1>
                                <p>Are you sure you want to delete this post?</p>
                                <div class="clearfix">
                                    <button type="button" onclick="document.getElementById('confirm').style.display='none'" class="cancelbtn"><a href="{% url 'forum' %}">Cancel</a></button>
                                    <button type="button" onclick="document.getElementById('confirm').style.display='none'" class="deletebtn"><a href="{% url 'forum' %}">Delete</a></button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <script>
                        var modal = document.getElementById('confirm');
                        window.onclick = function(event) {
                            if (event.target == modal) {
                                modal.style.display = "none";
                            }
                        }
                    </script>
                </div>
            </div>
    </div>
    
{% endblock content %}
